Bug 60913 - Use throbber animation from graphic artists (GNOME)
Summary: Use throbber animation from graphic artists (GNOME)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Garrett LeSage
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-03-08 22:08 UTC by Havoc Pennington
Modified: 2007-04-18 16:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-08 15:35:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Gnome spinner (3.19 KB, image/png)
2003-10-07 22:37 UTC, Garrett LeSage
no flags Details
Gnome spinner, at rest. (142 bytes, text/plain)
2003-10-07 22:39 UTC, Garrett LeSage
no flags Details
Gnome spinner, at rest. (142 bytes, image/png)
2003-10-07 22:39 UTC, Garrett LeSage
no flags Details

Description Havoc Pennington 2002-03-08 22:08:42 UTC
Desktop integration should include the nautilus/konqueror throbber animation.

Comment 1 Havoc Pennington 2002-05-14 16:34:47 UTC
Changing "desktop-integration" whiteboard to "desktop-milan", sorry for the spam...

Comment 2 Garrett LeSage 2003-07-31 16:33:12 UTC
Is there a method for changing the throbber? I have a throbber designed;
however, I have not found a specification for throbber themes.

Comment 3 Havoc Pennington 2003-07-31 20:51:30 UTC
Chris can you help Garrett get his throbber into moz?

Comment 4 Garrett LeSage 2003-07-31 21:02:58 UTC
As Mozilla doesn't inherit the Bluecurve theme (icons) as-is, it would be
strange for it to have the throbber.

How non-trivial might it be to work on getting it into Nautilus and Epiphany?

Comment 5 Havoc Pennington 2003-07-31 21:15:20 UTC
Ah, we never got mozilla stock icons working :-( 

nautilus/epiphany are easy I think. I don't remember the details.

Comment 6 Alexander Larsson 2003-08-06 10:21:39 UTC
The Nautilus in rawhide currently uses the old nautilus theme stuff to theme the
throbber i think. The version in gnome 2.3 uses a throbber in the icon theme,
like  epiphany also does. Look at 36x36/apps/gnome-spinner.png and
36x36/apps/gnome-spinner-rest.png in gnome-icon-theme.

Its possible we can theme the nautilus throbber using the old nautilus theme
stuff, but i'm not sure at the moment how to set it up.

Comment 7 Alexander Larsson 2003-10-07 15:47:25 UTC
garrett: Take a look at 36x36/apps/gnome-spinner.png and
36x36/apps/gnome-spinner-rest.png in the gnome icon theme. Thats how the
throbber should look. The gnome-spinner one doesn't have to be on several lines
like that, it could be in just one line.

Comment 8 Garrett LeSage 2003-10-07 22:37:26 UTC
Created attachment 94999 [details]
Gnome spinner

This is the graphic for the active spinner.  It needs to be added somewhere
appropriate in redhat-artwork, and also configured in a file somewhere
(probably).

Comment 9 Garrett LeSage 2003-10-07 22:39:11 UTC
Created attachment 95000 [details]
Gnome spinner, at rest.

This is the counterpart for the Gnome spinner.	It is merely a blank PNG file,
sized to the spinner size.  The spinner shows up when some sort of activity is
present.

Comment 10 Garrett LeSage 2003-10-07 22:39:15 UTC
Created attachment 95001 [details]
Gnome spinner, at rest.

This is the counterpart for the Gnome spinner.	It is merely a blank PNG file,
sized to the spinner size.  The spinner shows up when some sort of activity is
present.

Comment 11 Alexander Larsson 2003-10-08 11:45:08 UTC
garrett, i fixed the index.theme file in cvs, so this should work. Can you add
the spinners to the sheets? I don't know how you normally work with those.

Comment 12 Alexander Larsson 2003-10-08 15:35:50 UTC
Fixed in redhat-artwork 0.82-1


Note You need to log in before you can comment on or make changes to this bug.